1. DNS
Reseller Stack Public APIs
  • Customers
    • List customers
      GET
    • Create customer
      POST
    • Get customer
      GET
    • Update customer notes
      PATCH
    • Update customer status
      PATCH
    • Update billing details
      PATCH
  • Geo
    • List countries
      GET
    • List states
      GET
  • Pricing
    • List TLD pricing
      GET
    • Update TLD pricing
      PATCH
    • Set TLD featured
      PATCH
    • Apply bulk margin
      POST
    • Reorder TLD pricing
      POST
  • Domains
    • List domains
      GET
    • Check domain availability
      POST
    • Checkout domain cart (single domain)
      POST
    • Checkout domain cart (bulk)
      POST
    • Get domain
      GET
    • Toggle transfer lock
      PATCH
    • Toggle auto-renew
      PATCH
    • Preview renewal price
      GET
    • Renew domain now
      POST
    • Get domain history
      GET
  • Orders
    • List orders
    • Get order
  • DNS
    • List DNS records
      GET
    • Add DNS records
      POST
    • Update DNS record
      PATCH
    • Delete DNS record
      DELETE
    • Update nameservers
      PATCH
    • Reset nameservers
      POST
    • List DNSSEC records
      GET
    • Add DNSSEC record
      POST
    • Delete DNSSEC record
      DELETE
  • Webhooks
    • Delivered when domain.order.success fires
    • Delivered when domain.order.failed fires
    • Delivered when domain.renewal.success fires
    • Delivered when domain.renewal.failed fires
  • Health check
    GET
  • Get current partner
    GET
  1. DNS

List DNS records

GET
/domains/{id}/dns-records

Request

Authorization
API Key
Add parameter in header
rs-x-api-key
Example:
rs-x-api-key: ********************
or
Path Params

Responses

🟢200
application/json
DNS records
Bodyapplication/json

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/domains//dns-records' \
--header 'rs-x-api-key: <api-key>'
Response Response Example
{
    "status": 200,
    "message": "DNS records",
    "data": {
        "records": [
            {
                "ttl": "3600",
                "recordId": "a1b2c3d4e5f6",
                "recordType": "TXT",
                "value": "v=spf1 include:_spf.google.com ~all",
                "host": "acme-mail.com"
            },
            {
                "ttl": "3600",
                "recordId": "f6e5d4c3b2a1",
                "recordType": "MX",
                "value": "aspmx.l.google.com",
                "host": "acme-mail.com",
                "priority": "1"
            }
        ],
        "disabledRecords": [
            {
                "ttl": "3600",
                "recordId": "ns001",
                "recordType": "NS",
                "value": "ns-cloud-a1.googledomains.com",
                "host": "acme-mail.com"
            }
        ],
        "excludedDMARCtags": [
            "rua"
        ]
    }
}
Modified at 2026-08-28 11:33:21
Previous
Get order
Next
Add DNS records
Built with